*****************************************************************;
* Code demographic variables ;
*****************************************************************;
    
    
* age and sex;

 age1=age;
 label age1='age w1';
 sex1=sex;
if sex1 ne . then  female1=(sex1=2);

* marital status;
* note: counting cohabiting married;

 marstat1=v150;
/*
 4389      MARRIED, SPOUSE PRESENT...........  1
  105      MARRIED, SPOUSE ABSENT............  2
   55      LIVING WITH SOMEONE...............  3 GO TO A11b
  402      DIVORCED/SEPARATED................  4 GO TO A11g
 3035      WIDOWED...........................  5 GO TO A11g
  236      NEVER MARRIED.....................  6 GO TO B1
*/                   
                   
if marstat1 ne . then do;
    married1 = (1<= marstat1 <=3);
    cohab1 = (marstat1 = 3);
    divsep1  = (marstat1 = 4);
    widow1 = (marstat1 = 5);
    nevmarr1 = (marstat1 = 6);
    end;

if female1 and married1=0 then singfem1=1; else singfem1=0;

label 
    sex1='sex, w1'
    female1='female w1'
    age1='age, w1'     
    marstat1='marital status, w1'
    married1='married w1'
    cohab1='cohab as married w1'
    divsep1='divorced/sep w1'
    widow1='widow w1'	
    nevmarr1='never married w1'
    singfem1='single female w1'
    ;


*  race;
*  Note: no asian category in public release;

race1=v143;
if race1 ne . then do;
    black1 = (race1 = 2);
    raceo1 = (race1 >= 3);
    hispan1 = (v140 = 1);
    nonwhit1= (black1=1 or raceo1=1);
    end;
if v117 ne . then  usborn1 = (v117=1);


label
    race1='race, w1'
    black1='black w1'
    raceo1='other race w1'
    hispan1='hispanic w1'
    nonwhit1='non-white w1'
    usborn1='born in US'
    ;

*Weight and height;
 if v304 ne . then weight1=v304;
 if v306 ne . then height1=v306;
label
    weight1='weight (pounds), w1'
    height1='height (inches), w1'
    ;

*education;
 educ1=v125;
 if educ1 ne . then do;
     if v126 ne . then hsgrad1  = (educ1=12 or v126 in(1,2));
     colleg1 = (13 <= educ1 <= 17);
     grddeg1 = (educ1 =17);
     end;
 
 if v130 ne . then momhs1 = (v130=1);
 if v131 ne . then dadhs1 = (v131=1);
 if v130 ne . and v131 ne . then parnths1= (v130=1 and v131=1);

 if v145 ne . then numkids1=v145;


 label
     hsgrad1='hs educ w1'
     colleg1='colleg educ w1'
     grddeg1='grad educ w1'
     educ1='yrs education w1'
     momhs1='mom hs educ w1'
     dadhs1='dad hs educ w1'
     parnths1='mom/dad hs educ w1'
     numkids1='# kids ever w1'
     ;

