*****************************************************************;
*Code individual-specific variables ;
*****************************************************************;

if v374 not in(8,9) then sex2=v374;
if hhid=208224 and sex2=. then sex2=2;
if hhidpn=207485020 then sex2=1;
if hhidpn=207372010 then sex2=2;
if hhidpn=203184020 then sex2=2;
if hhidpn=201499020 then sex2=1;
if sex2=2 then female2=1; else female2=0;


marstat2= v674;
/*
 A21.R MARITAL
     (674)
                                 MARRIED, SPOUSE PRESENT..............1
                                  MARRIED, SPOUSE ABSENT FROM HH.......2
                                  LIVING WITH SOMEONE..................3
                                  DIVORCED/SEPARATED...................4
                                  WIDOWED..............................5
                                  NEVER MARRIED........................6
                                  MARRIED, SPOUSE ABSENT (NOT
                                  INSTITUTION).........................7

     */

    if marstat2 ne . then do;
    married2=(marstat2 in(1,2,3,7));
    widow2=(marstat2=5);
    divsep2=(marstat2 in(4));
    nevmarr2=(marstat2=6);
    marrsab2 = (marstat2 in(2,7));
    end;

if married2=1 and sex2=2 then singfem2=1; else singfem2=0;

  label 
      sex2='sex, w2'
      female2='female w2'
      age2='age, w2'     
      marstat2='marital status, w2'
      married2='married w2'
      cohab2='cohab as married w2'
      divsep2='divorced/sep w2'
      widow2='widow w2'	
      nevmarr2='never married w2'
      marrsab2='married sp absent w2' 
      singfem2='single female w2'
      ;


   **************************************************;
   
   if v667 not in(.,0,8,9) then race2=v667;
   if race2 ne . then do;    
       black2 = (race2 = 2);
       raceo2 = (race2 in(3,4,7));
       nonwhit2=(black2=1 or raceo2=1);
       end;
   if v664 not in(.,0,8,9) then hispan2 = (v664 = 1);
   if v639  not in(.,0,8,9) then usborn2 = (v639=1);

   label
       race2='race, w2'
       black2='black w2'
       raceo2='other race w2'
       hispan2='hispanic w2'
       nonwhit2='non-white w2'
       usborn2='born in US w2'
       ;

   if v649 not in(.,97,98,99) then educ2=v649;
   if educ2 ne . then do;
       if v650 not in(.,0,8,9) then  hsgrad2  = (educ2=12 or v650=1 or v650=2);
       colleg2 = (13 <= educ2 <= 17);
       grddeg2 = (educ2 =17);
       end;
   
   if v654 not in(.,0,8,9) then  momhs2 = (v654=1);
   if v655 not in(.,0,8,9) then  dadhs2 = (v655=1);
   if v654 not in(.,0,8,9) and v655 not in(.,0,8,9) then  parnths2= (v654=1 and v655=1);
   
   label
       hsgrad2='hs educ w2'
       colleg2='colleg educ w2'
       grddeg2='grad educ w2'
       educ2='yrs education w2'
       momhs2='mom hs educ w2'
       dadhs2='dad hs educ w2'
       parnths2='mom/dad hs educ w2'
       ;


