   ******************************************************;
   * code health status ;
   ******************************************************;


/*
BMI            [RESP]  BODY MASS INDEX (QUETELET)
          Created by dividing weight (in kilograms) by squared
          height(in
          meters).  V304 coverted to kilograms (pounds*.45359) and
          V306
          converted to meters [(height in inches/12)*.3048]. 
*/

   if d954 not in(.,997,998,999) then weight2=d954;
   if d959 not in(.,98,99)       then height2=d959;
   
   label
       weight2='weight (pounds), w2'
       height2='height (inches), w2'
       ;

   bmi2=(weight2*.45359)/((height2/12*.3084)**2);

   label
       bmi2='body mass index (quetelet), w2'
       ;

   
   * health status;
   hlth2   = d769;
   if hlth2 in(8,9) then hlth2=.;
   if hlth2 ne . then do;
       hlthex2 = (d769=1);
       hlthvg2 = (d769=2);
       hlthgd2 = (d769=3);
       hlthfr2 = (d769=4);
       hlthpr2 = (d769=5);

       h_exvg2=((hlthvg2=1) or (hlthex2=1)); 
       h_frpr2=((hlthfr2=1) or (hlthpr2=1)); 
       end;

   nrhlth2 = (d769 in(.,8,9));

   *code health transitions;

   if d772 not in(.,8,9)  then do;
       hlthbet2 = (d772=1);
       hlthsam2 = (d772=2);
       hlthwrs2 = (d772=3);
       end;

   nrhch2 =  (d772 in(.,8,9));

   label
       hlth2='hlth 1=ex,5=pr, w2'
       hlthex2='hlth exc w2'
       hlthvg2='hlth vgood w2'
       hlthgd2='hlth good w2'
       hlthfr2='hlth fair w2'
       hlthpr2='hlth poor w2'
       h_exvg2='hlth exc/vgood w2'
       h_frpr2='hlth fair/poor w2'
       hlthbet2='hlth better 1yr w2'
       hlthsam2= 'hlth same 1 yr w2'
       hlthwrs2= 'hlth worse 1yr w2'
       nrhlth2='non-resp hlth w2'
       nrhch2='non-resp hlth ch w2'
       ;

* HEALTH CONDITIONS;   

   if d781 not in(.,8,9)  then highbp2=(d781=1);
   if d788 not in(.,8,9)  then diabet2=(d788=1);
   if d801 not in(.,8,9)  then cancer2=(d801=1);
   if d818 not in(.,8,9)  then lung2=(d818=1);
   if d828 not in(.,8,9)  then heart2=(d828=1);
   if d848 not in(.,8,9)  then stroke2=(d848=1);
   if d861 not in(.,8,9)  then psych2=(d861=1);
   if d866 not in(.,8,9)  then arthrt2=(d866=1 and d868=1);
   if d878 not in(.,8,9)  then fall2=(d878=1 and d884=1);
   if d887 not in(.,8,9)  then hipfrc2=(d887=1);
   if d892 not in(.,8,9)  then incont2=(d892=1);


   if d806 not in(.,8,9)  then  ncancer2=(d806=1);
   if d834 not in(.,8,9)  then  nheart2= (d834=1 or d843=1);
   if d858 not in(.,8,9)  then  nstroke2=(d858=1);

   if d781 not in(.,8,9)  then dhighbp2=(d781=3);
   if d788 not in(.,8,9)  then ddiabet2=(d788=3);
   if d801 not in(.,8,9)  then dcancer2=(d801=3);
   if d818 not in(.,8,9)  then dlung2=(d818=3);
   if d828 not in(.,8,9)  then dheart2=(d828=3);
   if d848 not in(.,8,9)  then dstroke2=(d848=3);
   if d861 not in(.,8,9)  then dpsych2=(d861=3);
   if d866 not in(.,8,9)  then darthrt2=(d866=3);

   
   label	    
       highbp2 = 'doc ever told had high bp, w2'
       diabet2 = 'diabetes, w2'
       cancer2 = 'doc ever told had cancer, w2'
       lung2 = 'doc ever told had lung dis, w2'
       heart2 = 'doc ever told heart att/dis, w2'
       stroke2 = 'doc ever told had stroke, w2'
       psych2 = 'ever seen doc for psych prob, w2'
       arthrt2 = 'seen doc lst 12 mo for arthrt, w2'
       fall2= 'fallen lst 12 mo req trtmnt, w2'
       hipfrc2 = 'ever fractured hip, w2'
       incont2 = 'incontinence lst 12 mo, w2'

       ncancer2='new cancer w2'
       nstroke2='new stroke w2'
       nheart2='new heart w2'
          
       dhighbp2 = 'disputes w1 high bp'
       ddiabet2 = 'disputes w1 diabetes'
       dcancer2 = 'disputes w1 cancer'
       dlung2	= 'disputes w1 lung disease'
       dheart2	= 'disputes w1 heart dis/att'
       dstroke2	= 'disputes w1 stroke'
       dpsych2	= 'disputes w1 psych problem'
       darthrt2	= 'disputes w1 arthritis'
       ;


* HEALTH BEHAVIORS;

   if d942 ne . then smoknow2=(d942 in(1,2,7));
   if smoknow2 ne . then do;
       if smoknow2=1 then smoknum2 = d943;
       else smoknum2 = 0;
       end;

   if d949 ne . then drnknow2 =(d949=1);
   if drnknow2 ne . then do;
       if drnknow2=1 then numdrnk2 = d951;
       else numdrnk2 = 0;
       end;

   label
       smoknow2 = 'current smoker, w2'
       smoknum2 = '# cigs/day, w2'
       drnknow2 = 'drink alcohol, w2'
       numdrnk2='number drinks/day, w2'
       ;



