
/*
BMI            [RESP]  BODY MASS INDEX (QUETELET)
          Created by dividing weight (in kilograms) by squared
          height(in
          meters).  V304 coverted to kilograms (pounds*.45359) and
          V306
          converted to meters [(height in inches/12)*.3048]. 
*/

if f1291 not in(.,997,998,999) then weight3=f1291;
if f1296 not in(.,0,98,99)       then height3=f1296;

label
    weight3='weight (pounds), w3'
    height3='height (inches), w3'
    ;

bmi3=(weight3*.45359)/((height3/12*.3084)**2);

label
    bmi3='body mass index (quetelet), w3'
    ;


 /* health status */

   hlth3=f1097;
   if hlth3 in(8,9) then hlth3=.;
   if hlth3 ne . then do;  
       hlthex3=(f1097=1);
       hlthvg3=(f1097=2);
       hlthgd3=(f1097=3);
       hlthfr3=(f1097=4);
       hlthpr3=(f1097=5);

       h_exvg3=((hlthvg3=1) or (hlthex3=1)); 
       h_frpr3=((hlthfr3=1) or (hlthpr3=1)); 
       end;
   
   nrhlth3=(f1097 in(.,8,9));

   *code health transitions;
   if f1100 not in(.,8,9)  then do;
       hlthbet3=(f1100=1);
       hlthsam3=(f1100=2);
       hlthwrs3=(f1100=3);
       end;

      nrhch3 =  (f1100 in(.,8,9));

      
   label
       hlth3='hlth 1=ex,5=pr, w3'
       hlthex3='hlth exc w3'
       hlthvg3='hlth vgood w3'
       hlthgd3='hlth good w3'
       hlthfr3='hlth fair w3'
       hlthpr3='hlth poor w3'
       h_exvg3='hlth exc/vgood w3'
       h_frpr3='hlth fair/poor w3'
       hlthbet3='hlth better 1yr w3'
       hlthsam3= 'hlth same 1 yr w3'
       hlthwrs3= 'hlth worse 1yr w3'
       nrhlth3='non-resp hlth w3'
       nrhch3='non-resp hlth ch w3'
       ;


* HEALTH CONDITIONS;   

if f1109 not in(.,8,9) then  highbp3=(f1109=1); ** f1112=5, highbp not under contol;
if f1116 not in(.,8,9) then  diabet3=(f1116=1);
if f1129 not in(.,8,9) then  cancer3=(f1129=1);
if f1146 not in(.,8,9) then  lung3=(f1146=1);
* use variable correction suggested in heart alert - see website;
if f1156r not in(.,8,9) then  heart3=(f1156r=1 or f1156r=6 );
if f1176 not in(.,8,9) then  stroke3=(f1176=1);
if f1189 not in(.,8,9) then  psych3=(f1189=1);
if f1194 not in(.,8,9) then  arthrt3=(f1194=1 and f1196=1);
if f1206 not in(.,8,9) then  fall3=(f1206=1 and f1212=1);
if f1215 not in(.,8,9) then  hipfrc3=(f1215=1);
if f1220 not in(.,8,9) then  incont3=(f1220=1);

if f1141 not in(.,9998,9999) then  ycancer3=f1141;
if f1142 not in(.,98,99) then  mcancer3=f1142;
    
if f1134 not in(.,8,9) then  ncancer3=(f1134=1);
if f1162 not in(.,8,9) then  nheart3=(f1162=1 or f1171=1);
if f1186 not in(.,8,9) then  nstroke3=(f1186=1);

if f1109 not in(.,8,9) then  dhighbp3=(f1109=3);
if f1116 not in(.,8,9) then  ddiabet3=(f1116=3);
if f1129 not in(.,8,9) then  dcancer3=(f1129=3);
if f1146 not in(.,8,9) then  dlung3=(f1146=3);
if f1156 not in(.,8,9) then  dheart3=(f1156=3);
if f1176 not in(.,8,9) then  dstroke3=(f1176=3);
if f1189 not in(.,8,9) then  dpsych3=(f1189=3);
if f1194 not in(.,8,9) then  darthrt3=(f1194=3);
   
   label	    
       highbp3 = 'doc ever told had high bp, w3'
       diabet3 = 'diabetes, w3'
       cancer3 = 'doc ever told had cancer, w3'
       lung3 = 'doc ever told had lung dis, w3'
       heart3 = 'doc ever told heart att/dis, w3'
       stroke3 = 'doc ever told had stroke, w3'
       psych3 = 'ever seen doc for psych prob, w3'
       arthrt3 = 'seen doc lst 12 mo for arthrt, w3'
       fall3= 'fallen lst 12 mo req trtmnt, w3'
       hipfrc3 = 'ever fractured hip, w3'
       incont3 = 'incontinence lst 12 mo, w3'

       ycancer3 = 'Year oq most recent cancer w3'
       mcancer3 = 'Month oq most recent cancer w3'

       ncancer3='new cancer w3'
       nstroke3='new stroke w3'
       nheart3='new heart w3'
       
       dhighbp3 = 'disputes w2 high bp'
       ddiabet3 = 'disputes w2 diabetes'
       dcancer3 = 'disputes w2 cancer'
       dlung3	= 'disputes w2 lung disease'
       dheart3	= 'disputes w2 heart dis/att'
       dstroke3	= 'disputes w2 stroke'
       dpsych3	= 'disputes w2 psych problem'
       darthrt3	= 'disputes w2 arthritis'
       ;

   
* HEALTH BEHAVIORS;

   if f1267 not in(.,8,9) then smoknow3=(f1267=1);
   if smoknow3 ne . then do;
       if smoknow3=1 then smoknum3 = f1268;
       else smoknum3 = 0;
       end;

   if f1282 not in(.,8,9) then drnknow3 = (f1282=1);
   if drnknow3 ne . then do;
       if drnknow3=1 then numdrnk3 = f1284;
       else numdrnk3=0;
       end;
    
   label
       smoknow3 = 'current smoker, w3'
       smoknum3 = '# cigs/day, w3'
       drnknow3 = 'drink alcohol, w3'
       numdrnk3='number drinks/day, w3'
       ;



